Package weka.associations.tertius

# Class SimpleLinkedList

java.lang.Object
weka.associations.tertius.SimpleLinkedList

All Implemented Interfaces:
  `Serializable`, `RevisionHandler`

public class SimpleLinkedList extends Object implements Serializable, RevisionHandler

Version:
  $Revision: 1.6 $
Author:
  Peter A. Flach, Nicolas Lachiche
See Also:
  - Serialized Form

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`class`
`SimpleLinkedList.LinkedListInverseIterator`
`class`
`SimpleLinkedList.LinkedListIterator`

## Constructor Summary

Constructors
Constructor
Description
`SimpleLinkedList()`

## Method Summary

Modifier and Type
Method
Description
`void`
`add(Object o)`
`void`
`addAll(SimpleLinkedList list)`
`void`
`addFirst(Object o)`
`void`
`clear()`
`Object`
`getFirst()`
`Object`
`getLast()`
`String`
`getRevision()`
Returns the revision string.
`SimpleLinkedList.LinkedListInverseIterator`
`inverseIterator()`
`boolean`
`isEmpty()`
`SimpleLinkedList.LinkedListIterator`
`iterator()`
`void`
`merge(SimpleLinkedList list, Comparator comp)`
`Object`
`removeFirst()`
`int`
`size()`
`void`
`sort(Comparator comp)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### SimpleLinkedList

public SimpleLinkedList()

## Method Details

### removeFirst

public Object removeFirst()

### getFirst

public Object getFirst()

### getLast

public Object getLast()

### addFirst

public void addFirst(Object o)

### add

public void add(Object o)

### addAll

public void addAll(SimpleLinkedList list)

### clear

public void clear()

### isEmpty

public boolean isEmpty()

### iterator

public SimpleLinkedList.LinkedListIterator iterator()

### inverseIterator

public SimpleLinkedList.LinkedListInverseIterator inverseIterator()

### size

public int size()

### merge

public void merge(SimpleLinkedList list, Comparator comp)

### sort

public void sort(Comparator comp)

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### getRevision

public String getRevision()
Returns the revision string.

Specified by:
  `getRevision` in interface `RevisionHandler`
Returns:
  the revision